UbixOS V2 2.0

Macros | Typedefs
arch.h File Reference
`#include <sys/types.h>`
`#include <net/arch/cc.h>`
`#include <lib/kprintf.h>`
`#include <ubixos/kpanic.h>`
Include dependency graph for arch.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | BIG_ENDIAN 4321
#define | BYTE_ORDER LITTLE_ENDIAN
#define | LITTLE_ENDIAN 1234
#define | LWIP_ALIGNMENT_CAST(target_type, val) LWIP_CONST_CAST(target_type, val)
#define | LWIP_CONST_CAST(target_type, val) ((target_type)((ptrdiff_t)val))
#define | LWIP_DECLARE_MEMORY_ALIGNED(variable_name, size) u8_t variable_name[LWIP_MEM_ALIGN_BUFFER(size)]
#define | LWIP_MEM_ALIGN(addr) ((void *)(((mem_ptr_t)(addr) + MEM_ALIGNMENT - 1) & ~(mem_ptr_t)(MEM_ALIGNMENT-1)))
#define | LWIP_MEM_ALIGN_BUFFER(size) (((size) + MEM_ALIGNMENT - 1U))
#define | LWIP_MEM_ALIGN_SIZE(size) (((size) + MEM_ALIGNMENT - 1U) & ~(MEM_ALIGNMENT-1U))
#define | LWIP_NO_INTTYPES_H 0
#define | LWIP_NO_LIMITS_H 0
#define | LWIP_NO_STDDEF_H 0
#define | LWIP_NO_STDINT_H 0
#define | LWIP_PLATFORM_ASSERT(x) do {kprintf("Assertion \"%s\" failed at line %d in %s\n", x, __LINE__, __FILE__); kpanic("asserted");} while(0)
#define | LWIP_PLATFORM_DIAG(x) do {kprintf x;} while(0)
#define | LWIP_PTR_NUMERIC_CAST(target_type, val) LWIP_CONST_CAST(target_type, val)
#define | LWIP_UNUSED_ARG(x) (void)x
#define | PACK_STRUCT_BEGIN
#define | PACK_STRUCT_END
#define | PACK_STRUCT_FIELD(x) x
#define | PACK_STRUCT_FLD_8(x) PACK_STRUCT_FIELD(x)
#define | PACK_STRUCT_FLD_S(x) PACK_STRUCT_FIELD(x)
#define | PACK_STRUCT_STRUCT
#define | S16_F PRId16
#define | S32_F PRId32
#define | SZT_F PRIuPTR
#define | U16_F PRIu16
#define | U32_F PRIu32
#define | X16_F PRIx16
#define | X32_F PRIx32
#define | X8_F "02" PRIx8

## Typedefs
typedef uintptr_t | mem_ptr_t
typedef int16_t | s16_t
typedef int32_t | s32_t
typedef int8_t | s8_t
typedef uint16_t | u16_t
typedef uint32_t | u32_t
typedef uint8_t | u8_t

## Detailed Description

Support for different processor and compiler architectures

Definition in file arch.h.

## Macro Definition Documentation

## ◆ BIG_ENDIAN

#define BIG_ENDIAN 4321

Definition at line 45 of file arch.h.

## ◆ LITTLE_ENDIAN

#define LITTLE_ENDIAN 1234

Definition at line 41 of file arch.h.